var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) 
	{
		return null;
	}
	
	//http://mrpopat.in/popat_mobile/video_detail.php?id=238151
	if(-1 == vid_mate_url.indexOf("video_detail.php"))
	{
		return null;
	}

	var video_id = null;
	video_id = vid_mate_get_parameter(vid_mate_url, "id");
	if(video_id == null || video_id.length <= 0)
	{
	   return null;
	}
	
	return video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('mrpopat 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mrpopat";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	var tmp_content = vm_content;
	var videoUrl = "";
	var tmp_url = rcutstr(tmp_content, "\"", ".mp4");
	videoUrl = tmp_url + ".mp4";
        if(-1 != videoUrl.indexOf("///"))
        {
                videoUrl = videoUrl.replace("///", "//");
        }
	
	if("" == tmp_url)
	{
		vid_mate_error_default('mrpopat 1');
		return null;
	}
	
	var arr = tmp_url.split("/");
	if(arr.length <= 2)
	{
		vid_mate_error_default('mrpopat 2');
		return null;
	}
	
	var len = arr.length;
	var tmp_img = arr[len-1];
	
	var videoTitle = "Download Mp4";
	var tmp_title = cutstr(tmp_content, "<title>Watch ", "-");
	if(tmp_title)
	{
	    var reg=new RegExp("&#32;","g");
        tmp_title = tmp_title.replace(reg," ");
		tmp_title = tmp_title.replace("&#39;", " ");
		tmp_title = tmp_title.replace("&#124;", " ");
	    videoTitle = tmp_title;
	}
	
	var videoImg = "http://mrpopat.in/admin/upload/video/" + tmp_img + ".jpg";
	rtn_video.title = videoTitle;
	rtn_video.url = global_document_url;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;

	tmp_video_file.url = videoUrl;
	tmp_video_file.f_id = rtn_video.id;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.referer = "http://mrpopat.in";

	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}
