var global_document_url = "";

function vid_mate_get_video_id(url)
{
    var vid_mate_url = url || document.URL;
    if (vid_mate_url == null || vid_mate_url.length <= 0)
	{
		return null;
    }

	if(-1 == vid_mate_url.indexOf("video/"))
	{
		return null;
	}

	var video_id = cutstr(vid_mate_url, "video/", "_");
	if(video_id)
	{
		return video_id;
	}
	else
	{
		var arr = vid_mate_url.split("video/");
		if(arr.length == 2)
		{
			return arr[1];
		}
	}

	return null;
}

function vid_mate_check(url)
{
	if (vid_mate_get_video_id(url) == null) {
	    vid_mate_set_canDownload(false);
	    return false;
	} else {
	    vid_mate_set_canDownload(true);
	    return true;
	}
}

function vid_mate_video_analytics(vm_content)
{
	vid_mate_setParseMsg(60, 90, 'Analytics Video Info');
	var content = vm_content;

	var vid_mate_ytplayer_config = "";

	//content = cutstr(content, "dmp.create(document.getElementById('player'), ", ");");
	
	if(!content)
	{
		vid_mate_error_default('dailymotion a2');
		return null;
	}

	vid_mate_dmplayer_config = eval('(' + content + ')');
	if (!vid_mate_dmplayer_config)
	{
		vid_mate_error_default('dailymotion 3');
		return null;
	}

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "dailymotion";
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "change api";
	rtn_video.id = vid_mate_dmplayer_config['id'];
	rtn_video.title = vid_mate_dmplayer_config['title'];
	rtn_video.duration = vid_mate_dmplayer_config['duration'];
	rtn_video.url = vid_mate_dmplayer_config['url'];
	rtn_video.picture_default = vid_mate_dmplayer_config['poster_url'];
	rtn_video.picture_big = vid_mate_dmplayer_config['poster_url'];

	if (vid_mate_dmplayer_config['qualities'] &&
		vid_mate_dmplayer_config['qualities']["240"] &&
		vid_mate_dmplayer_config['qualities']["240"][1]['url'])
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = vid_mate_dmplayer_config['qualities']["240"][1]['url'];
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "240p";
		tmp_video_file.f_id = rtn_video.id+"_240_mp4";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}

	if (vid_mate_dmplayer_config['qualities'] &&
		vid_mate_dmplayer_config['qualities']["380"] &&
		vid_mate_dmplayer_config['qualities']["380"][1]['url'])
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = vid_mate_dmplayer_config['qualities']["380"][1]['url'];
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "380p";
		tmp_video_file.f_id = rtn_video.id+"_380_mp4";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}

	if (vid_mate_dmplayer_config['qualities'] &&
		vid_mate_dmplayer_config['qualities']["480"] &&
		vid_mate_dmplayer_config['qualities']["480"][1]['url'])
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = vid_mate_dmplayer_config['qualities']["480"][1]['url'];
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "480p";
		tmp_video_file.f_id = rtn_video.id+"_480_mp4";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}

	if (vid_mate_dmplayer_config['qualities'] &&
		vid_mate_dmplayer_config['qualities']["720"] &&
		vid_mate_dmplayer_config['qualities']["720"][1]['url'])
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = vid_mate_dmplayer_config['qualities']["720"][1]['url'];
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "720p";
		tmp_video_file.f_id = rtn_video.id+"_720_mp4";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}

	if (vid_mate_dmplayer_config['qualities'] &&
		vid_mate_dmplayer_config['qualities']["1080"] &&
		vid_mate_dmplayer_config['qualities']["1080"][1]['url'])
	{
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = vid_mate_dmplayer_config['qualities']["1080"][1]['url'];
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "1080p";
		tmp_video_file.f_id = rtn_video.id+"_1080_mp4";
		tmp_video_file.length = -1;
		rtn_video.files.push(tmp_video_file);
	}


	if(0 == rtn_video.files.length)
	{
		vid_mate_error_default('dailymotion a4');
		return null;
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	global_document_url = url;

	//var vid_mate_url_get = "http://www.dailymotion.com/embed/video/" + vid_mate_video_id + "?api=postMessage&autoplay=false&fullscreen=auto&html=false&id=f189f28d88&info=false&sc_insite_webapp=true&webapp_referer=";
	
	var vid_mate_url_get = "http://www.dailymotion.com/player/metadata/video/" + vid_mate_video_id + "?embedder=http%3A%2F%2Fwww.dailymotion.com%2Fin&integration=inline";
	
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info.. ..');
		vid_mate_app_xhr(vid_mate_url_get);
	} catch (e) {
		vid_mate_error_default('dailymotion 4\r\n' + e.name + ": " + e.message);
		return null;
	}
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}
