var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://videos.songmazaa.pt/QNYPfYBupOjfANFCuhAV
	if(-1 == vid_mate_url.indexOf("songmazaa"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("song.php"))
	{
		return null;
	}

	var vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "songid");

	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/40.0.2214.111 Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('songmazaa 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "songmazaa";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	videoUrl = cutstr(vm_content, "<source src=\"", "\"");
	if (videoUrl)
	{
		if(-1 == videoUrl.indexOf("http"))
		{
			videoUrl = "http://songmazaa.com/" + videoUrl;
		}
	}
	else
	{
		vid_mate_error_default('get embedURL fail');
		return null;
	}

	//img
	var img = cutstr(vm_content, "albumDetailContainer", "circularpic");
	if(img)
	{
		img = cutstr(img, "src=\"", "\"");
		if(img)
		{
			if(-1 == img.indexOf("http"))
			{
				img = "http://songmazaa.com/" + img;
			}
			rtn_video.picture_default = img;
			rtn_video.picture_big = img;
		}
	}

	//title
	rtn_video.title = "Mp3";
	var videoTitle = cutstr(vm_content, "<div class=\"songname txt-capitalize\">", "</div>");
	if (videoTitle)
	{
		rtn_video.title = videoTitle;
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}


