var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) 
	{
		return null;
	}

	//http://vanjali.net/videos/file.php?v=Asla_Dalvir-Kooner
	if(-1 == vid_mate_url.indexOf("/videos/"))
	{
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("file.php"))
	{
		return null;
	}
	
	var video_id = vid_mate_get_parameter(vid_mate_url, "v");
	if(video_id)
	{
		return video_id;
	}

	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');
	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	global_document_url = url;
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info... ...');
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('best4xxx 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}
	
	var videoUrl = "";
	var videoImg = "";
    var video_title = "";
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "vanjali";
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "20160923:first ver";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	
	video_title = cutstr(vm_content, "<title>", "</title>");
	if(video_title)
	{
		video_title = video_title.trim();
	}
	else
	{
		video_title = "vanjali video";
	}
	rtn_video.title = video_title;
	
	videoImg = cutstr(vm_content, "<span class=\"imglarge\"><img src=\"..", "\"");
	if(videoImg)
	{
		videoImg = "" + videoImg;
	}
	
	videoImg = "http://vanjali.net" + videoImg;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	var items  = cut_all(vm_content, "<a class=\"touch\"", "</span>)");
	if(items.length > 0)
	{
		for(var i = 0; i < items.length; i++)
		{
			var item = items[i];
			var vurl   = cutstr(item, "href=\"..", "\"");
			vurl = vurl.trim();
			if(vurl)
			{
				vurl = "http://vanjali.net" + vurl;
			}
			
			var vtitle = cutstr(item, "Download", "(");
			vtitle = vtitle.trim();
			if(!vtitle)
			{
				vtitle = "mp4";
			}
			
			var format = "mp4";
			if(-1 != vurl.indexOf(".mp3"))
			{
				format = "mp3";
			}
			
			var len =  get_video_size(item);
			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = vurl;
			tmp_video_file.format = format;
			tmp_video_file.title  = vtitle;
			tmp_video_file.length = len; //
			tmp_video_file.f_id = rtn_video.id + "_" + i;
			rtn_video.files.push(tmp_video_file);
		}
	}
	else
	{
		vid_mate_error_default('no video source.');
		return null;
	}
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function cut_all(content, prefix, suffix)
{
        global_offset = 0;
        var ret_array = [];
        while(global_offset < content.length)
        {
                var str = cutstr_ex(content, prefix, suffix);
                if(null == str)
                {
                        break;
                }
                ret_array.push(str);
        }
        global_offset = 0;
        return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
        var prefix_len = prefix.length;
        var p1 = content.indexOf(prefix, global_offset);
        if(-1 == p1)
        {
                return null;
        }
        p1 += prefix_len;
        var p2 = content.indexOf(suffix, p1);
        if(-1 == p2)
        {
                return null;
        }
        global_offset = p2 + suffix.length;
        return content.substring(p1, p2);
}

function get_video_size(str)
{
	var mb = cutstr(str, "class=\"size\">", "MB");
	mb = mb.trim();
	if(mb)
	{
		return Math.round(parseFloat(mb)*1024*1024);
	}
	else
	{
		var gb = cutstr(str, "class=\"size\">", "GB");
		gb = gb.trim();
		if(gb)
		{
			return Math.round(parseFloat(gb)*1024*1024*1024);
		}
	}
	
	return 0;
}