var global_rtn_video = null;
var global_flag = true;
var global_url = "";

function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	//http://mymp4.in/file/5384/sharabi-feat
	//http://music.mymp4.in/track/156487441/parranderos-latin-combo-migrante
	
	if(-1 == vid_mate_url.indexOf("mymp4"))
	{
		return null;
	}

	global_url = vid_mate_url;
	
	var tmp_re = new RegExp("/file/([0-9]+)/(.+?)");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	else
	{
		tmp_re = new RegExp("/track/([0-9]+)/(.+?)");
		if (tmp_re.test(vid_mate_url)) 
		{
			tmp_m = vid_mate_url.match(tmp_re);
			return tmp_m[1];
		}
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}


function get_music_info()
{
	var vm_content = document.body.innerHTML; 
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');
	var rtn_video = new vid_mate_video();
	var videoUrl = "";
	var videoTitle = "";
	if(!vm_content)
	{
		return null;
	}
	
	rtn_video.check_type = "mymp4";
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "add mp3";
	rtn_video.id = vid_mate_get_video_id();
	rtn_video.picture_default = "";
	rtn_video.picture_big = "";
	rtn_video.url = document.URL;
	videoTitle = cutstr(vm_content, "class=\"title\">", "</h1>");
	if(videoTitle)
	{
		videoTitle = videoTitle.trim();
	}
	else
	{
		videoTitle = "download mymp4 mp3";
	}
	
	rtn_video.title = videoTitle;
	videoUrl = cutstr(vm_content, "<a onclick=\"", "</a>");
	if(!videoUrl)
	{
		setTimeout("get_music_info()", 5000);
		return null;
	}
	else
	{
		videoUrl = cutstr(videoUrl, "href=\"", ".mp3\"");
		if(videoUrl)
		{
			videoUrl = videoUrl + ".mp3";
		}
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = "mp3";
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id;
	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_video_analytics(vm_content) {
	if(-1 != global_url.indexOf("/track/"))
	{
		get_music_info();
		return null;
	}
	
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "mymp4";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	rtn_video.title = "";
	var videoUrl = "";
	var videoTitle = "mp4";
	var videoImg = "";

	var vid_mate_url = document.URL;
	vid_mate_url += "@";
	var tmp_re = new RegExp("/file/([0-9]+)/(.+?)@");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		videoTitle = tmp_m[2];
		videoTitle = videoTitle.replace(/-/g, " ");
	}
	rtn_video.title = videoTitle;

	var divArray = document.getElementsByTagName("div");
	for(var i=0; i<divArray.length; ++i)
	{
		var obj = divArray[i];
		if("previewWrapper" != obj.className)
		{
			continue;
		}
		var imgArray = obj.getElementsByTagName("img");
		if(imgArray.length > 0)
		{
			var imgObj = imgArray[0];
			videoImg = imgObj.getAttribute("src");
			break;
		}
	}

	if(-1 == videoImg.indexOf("http"))
	{
		videoImg = "http://mymp4.in" + videoImg;
	}

	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	rtn_video.url = document.URL;


		try
		{
			var aArray = document.getElementsByTagName("a");
			var offset = 1;
			window.vbrowser.httpBeginGetAll();
			for(var i=0; i<aArray.length; ++i)
			{
				var obj = aArray[i];
				var href = obj.getAttribute("href");
				if(-1 != href.indexOf("/file_dl_c/"))
				{
					videoUrl = href;
					if(-1 == videoUrl.indexOf("http"))
					{
						videoUrl = "http://mymp4.in" + videoUrl;
					}

					fileTitle = obj.innerText;
					videoUrl = videoUrl.replace(/ /g, "%20");
					var url = "http://api.test.vidmate.net/url?url="+encodeURIComponent(videoUrl)+"&ext="+offset;
					window.vbrowser.httpAddUrl(url);
					var tmp_video_file = new vid_mate_video_file();
					tmp_video_file.title = fileTitle;
					tmp_video_file.f_id = rtn_video.id + "_" + offset;
					rtn_video.files.push(tmp_video_file);
					++offset;
				}
			}
			window.vbrowser.httpGetAll('vid_mate_app_xhr_more_result()');
			global_rtn_video = rtn_video;
			if(1 == offset)
			{
				if(false == global_flag)
				{
					vid_mate_error_default('mymp4 3');
					return null;
				}
			}
		}
		catch (e)
		{
			if(false == global_flag)
			{
				vid_mate_error_default('mymp4 4');
				return null;
			}
		}

		if(true == global_flag)
		{
			vid_mate_setParseMsg(60, 90, 'Analytics Video Info......');
			//setTimeout("vid_mate_video_analytics()", 5000);
		}
		global_flag = false;
}

function vid_mate_app_xhr_more_result() {
	var rtn_contents = [];
	try {
		var tmp_count = window.vbrowser.httpGetResCount();
		for (var i = 0;i < tmp_count;i ++) {
			var tmp_content = window.vbrowser.httpGetResAtIndex(i);
			rtn_contents.push(tmp_content);
		}
	} catch (e) {
		vid_mate_error_default('mymp4 5');
		return null;
	}

	vid_mate_video_analytics_more(rtn_contents);
}

function vid_mate_video_analytics_more(vm_content_array)
{
	var offset = 0;
	for(var i=0; i<vm_content_array.length; ++i)
	{
		var videoUrl = vm_content_array[i];
		if(-1 != videoUrl.indexOf("@@@"))
		{
			var arr = videoUrl.split("@@@");
			videoUrl = arr[0];
			offset = parseInt(arr[1]) - 1;
		}
		videoUrl = decodeURIComponent(videoUrl);
		videoUrl = videoUrl.replace(/&amp;/g, "&");
		videoUrl = videoUrl.replace(/ /g, "%20");
		var tmp_format = vid_mate_get_video_format(videoUrl);

		global_rtn_video.files[offset].format = tmp_format;
		global_rtn_video.files[offset].url = videoUrl;

	}

	if(0 == global_rtn_video.files.length)
	{
		vid_mate_error_default('mymp4 1');
		return null;
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(global_rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	//vid_mate_video_analytics(vid_mate_video_id);

	setTimeout("vid_mate_video_analytics()");
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}
