var global_document_url = global_document_url || null;
var global_type = global_type || null;
var global_page = global_page || null;
var global_keyword = global_keyword || null;
var global_sep = "@@##@@";

function vid_mate_check()
{
	vid_mate_set_canDownload(true);




	return true;
}

function vid_mate_youtubesearch(keyword, type, page)
{
	if(0 == keyword.length)
	{
		return;
	}
	global_keyword = keyword;

	type = "video";

	global_type = type;

	global_page = page;

	var url = get_url(keyword, type, page);
	if(!url)
	{
		vid_mate_error_default('youtubesearch bad page '+page+'');
		return null;
	}

	var global_document_url = url;

	try {
		var referer = "https://m.youtube.com/";
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		//var userAgent = "Mozilla/5.0 (Windows NT 6.1; Android) AppleWebKit/"+rand_num(530,537)+"."+rand_num(30,37)+" (KHTML, like Gecko) Chrome/"+rand_num(30,39)+".0."+rand_num(1800,2100)+"."+rand_num(50,65)+" mobile Safari/"+rand_num(530,537)+"."+rand_num(30,37)+"";
		//var userAgent = navigator.userAgent;
		var userAgent = "Mozilla/5.0 (Linux; Android 4.2; Build/KRT16M) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		var method = "get";
		var data = "";
		//vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);


        window.vbrowser.httpBegin(url);
        if (referer != null && referer.length > 0) {
            window.vbrowser.httpSetHeader("Referer", referer);
        }
        if (cookie != null && cookie.length > 0) {
            window.vbrowser.httpSetHeader("Cookie", cookie);
        }
        if (userAgent != null && userAgent.length > 0) {
            window.vbrowser.httpSetHeader("User-Agent", userAgent);
        }

		window.vbrowser.httpSetHeader("Connection", "close");

        if (method == "POST") {
            window.vbrowser.httpPost(data, 'vid_mate_app_xhr_result()');
        } else {
            window.vbrowser.httpGet('vid_mate_app_xhr_result()');
        }

	} catch (e) {
		vid_mate_error_default('youtubesearch http get fail');
		return null;
	}
}

function get_url(keyword, type, page)
{
	var url = "";
	if(0 == page.length)
	{
		url = "https://m.youtube.com/results?q="+encodeURIComponent(keyword)+"&ajax=1&search_type=";
	}
	else
	{
		var arr = page.split(global_sep);
		if(2 == arr.length)
		{
			url = "https://m.youtube.com/results?action_continuation=1&ajax=1&ctoken="+decodeURIComponent(arr[0])+"&itct="+decodeURIComponent(arr[1])+"&layout=tablet&tsp=1&utcoffset=480";
		}
	}
	return url;
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('youtubesearch vm_content is empty');
		return null;
	}

	vm_content = vm_content.substring(4);


	var jsonObj = eval('('+vm_content+')');
	if(!jsonObj)
	{

		vid_mate_error_default('youtubesearch eval fail');
		return null;
	}


	analytics_video(jsonObj);
}

function analytics_video(jsonObj)
{


	var contents = jsonObj.content.search_results ? jsonObj.content.search_results.contents:jsonObj.content.continuation_contents.contents;

	var continuations = jsonObj.content.search_results ? jsonObj.content.search_results.continuations:jsonObj.content.continuation_contents.continuations;

	var output_result = new vid_mate_search_result();
	output_result.total = 2000;
	output_result.type = global_type;
	output_result.page = global_page;
	output_result.keyword = global_keyword;

	//next_token
	if(continuations && continuations[0] && continuations[0]['item_type'] == "next_continuation_data")
	{
		if(continuations[0]['continuation'] && continuations[0]['click_tracking_params'])
		{
			output_result.next_token = continuations[0]['continuation'] + 	global_sep + continuations[0]['click_tracking_params'];
		}
		else
		{
			output_result.next_token = "";
		}
	}


	if(continuations && continuations[1] && continuations[1]['item_type'] == "next_continuation_data")
	{
		if(continuations[1]['continuation'] && continuations[1]['click_tracking_params'])
		{
			output_result.next_token = continuations[1]['continuation'] + 	global_sep + continuations[1]['click_tracking_params'];
		}
		else
		{
			output_result.next_token = "";
		}
	}

	for(var i=0; i<contents.length; ++i)
	{
		var row = new vid_mate_search_video_row();
		var item = contents[i];
		if("compact_video" != item.item_type)
		{
			continue;
		}

		var id = item.encrypted_id;

		if(0 == id.length)
		{
			vid_mate_error_default('youtubesearch video 2');
			return null;
		}

		var url = "https://m.youtube.com/watch?v="+id+"";
		var image = "https://i.ytimg.com/vi/"+id+"/mqdefault.jpg";
		var publishedAt = "";
		var viewCount = 0;

		var duration = "";
		if(item.length && item.length.runs[0] && item.length.runs[0].text)
		{
			duration = item.length.runs[0].text;
		}
		var title = "";
		if(item.title && item.title.runs[0] && item.title.runs[0].text)
		{
			title = item.title.runs[0].text;
		}

		var iscc = 0;
		if(item.badges && item.badges[0] && item.badges[0].label && item.badges[0].label.runs[0] && item.badges[0].label.runs[0].text)
		{
			if("CC" == item.badges[0].label.runs[0].text)
			{
				iscc = 1;
			}
		}

		var view_count = "";
		if(item.view_count && item.view_count.runs[0] && item.view_count.runs[0].text)
		{
			view_count = item.view_count.runs[0].text;

		}
		if(view_count)
		{
			view_count = view_count.trim();
			var tmp_re = new RegExp("([0-9,]+)");
			if (tmp_re.test(view_count))
			{
				var tmp_m = view_count.match(tmp_re);
				view_count = tmp_m[1];
				view_count = view_count.replace(/,/g, "");
				viewCount = parseInt(view_count);
				viewCount = format_view_count(viewCount);
			}
		}

		if(duration.length > 0)
		{
			var len = duration.length;
			var p = "00:00:00".substring(0, 7 - len + 1);
			duration = p + duration;
		}

		row.id = id;
		row.title = title;
		row.url = url;
		row.image = image;
		row.viewCount = viewCount;
		row.duration = duration;
		row.publishedAt = publishedAt;
		row.iscc = iscc;
		output_result.rows.push(row);
	}

	if(0 == output_result.rows.length)
	{
		vid_mate_error_default('youtubesearch video 3');
		return null;
	}

	var output = new vid_mate_search_output();
	output.status = 1;
	output.data = output_result;
	window.vbrowser.setSearchInfo(JSON.stringify(output));
	return true;
}

function vid_mate_search_output()
{
    this.status = "";
    this.data = "";
}

function vid_mate_search_result()
{
    this.total = "";
	this.type = "";
	this.page = "",
	this.keyword = "";
	this.next_token = "";
    this.rows = [];
}

function vid_mate_search_video_row()
{
    this.id = "";
    this.url = "";
    this.publishedAt = "";
    this.title = "";
    this.image = "";
    this.viewCount = "";
    this.duration = "";
    this.iscc = 0;
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function vid_mate_get_video_info(url)
{
	var keyword = "body";
	var type = "video";
	var page = "";
	vid_mate_youtubesearch(keyword, type, page);
}

function rand_num(min, max)
{
	return parseInt(Math.random() * (max - min) + min);
}

function format_view_count(num)
{
	var ret = "";
	if(num > 1000000)
	{
		ret = parseInt(num/1000000) + "M";
	}
	else if(num > 1000)
	{
		ret = parseInt(num/1000) + "K";
	}
	else
	{
		ret = num;
	}
	return ret;
}
