var global_document_url = global_document_url || null;
var global_video_id = global_video_id || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	
	//http://m.imdb.com/trailers
	if(-1 == vid_mate_url.indexOf("m.imdb.com"))
	{
		return null;
	}

	if(-1 != vid_mate_url.indexOf("m.imdb.com/title/tt"))
	{
		var video = document.getElementsByClassName('inline-player prevent-ad-overlay');
		if(video.length >= 1)
		{
			var tmp_src = cutstr(video[0].innerHTML, "src=\"", "\"");
			if(tmp_src)
			{
				var video_id = cutstr(tmp_src, "/video/imdb/", "/");
				if(video_id)
				{
					global_document_url = "http://m.imdb.com" + tmp_src;
					global_video_id = video_id;
					return video_id;
				}
				else
				{
					return null;
				}
			}
			else
			{
				return null;
			}
		}
		else
		{
				return null;
		}
	}
	else
	{
		var imdb_flag = false;
		var flag = 0;
		
		if(vid_mate_url == "http://m.imdb.com/")
		{
			var videos = cut_all(document.body.innerHTML, "video-player-container", ">");
			for(var i = 0; i< videos.length; i++)
			{
				if(-1 != videos[i].indexOf("block"))
				{
					flag = i;
					break;
				}
			}
		}
		
		var video = document.getElementsByClassName('video-player-container');
		if(video.length>=1)
		{
			var tmp_src = cutstr(video[flag].innerHTML, "src=\"", "\"");
			if(tmp_src)
			{
				var video_id = cutstr(tmp_src, "/video/imdb/", "/");
				if(video_id)
				{
					global_document_url = "http://m.imdb.com" + tmp_src;
					global_video_id = video_id;
					return video_id;
				}
				else
				{
					return null;
				}
			}
			else
			{
				return null;
			}
		}
		else
		{
				return null;
		}
	}
}

function vid_mate_check() 
{
	if (vid_mate_get_video_id() == null) 
	{
		vid_mate_set_canDownload(false);
		return false;
	} 
	else 
	{
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	global_video_id = vid_mate_get_video_id(url);
	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info.. ..');
		if(global_document_url)
		{
			var referer = url;
			var cookie = "";
			if(window.vbrowser.httpGetCookie)
			{
				//cookie = window.vbrowser.httpGetCookie(url);
			}
			else
			{
				cookie = document.cookie;
			}
			var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
			var method = "get";
			var data = "";
			vid_mate_app_xhr_adv(global_document_url, referer, cookie, userAgent, method, data);
		}
	} catch (e) {
		vid_mate_error_default('imdb 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = null
	var videoTitle = "";
	var videoImg = "";
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "imdb";
	rtn_video.id = global_video_id;
	rtn_video.js_ver = "1.01";
	rtn_video.js_info = "20160316: first version";
	
	videoTitle = cutstr(vm_content, "og:title\" content=\"", "\"");
	if(!videoTitle)
	{
		videoTitle = "Download imdb mp4";
	}
	else
	{
		videoTitle = videoTitle + " imdb";
	}
	
	videoImg = cutstr(vm_content, "og:image\" content=\"", "\"");
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;
	rtn_video.title = videoTitle;
	
	var tmp_video_file = new vid_mate_video_file();
	var arr_video = cut_all(vm_content, "videoUrl\":\"", "\"");
	if(!arr_video || arr_video.length <= 0)
	{
		vid_mate_error_default('imdb no video resource');
		return null;
	}
	
	for(var i = 0; i < arr_video.length; i++)
	{
		if(-1 != arr_video[i].indexOf("m3u8"))
		{
			continue;
		}
		
		videoUrl = arr_video[i];
		break;
	}
	
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;
	tmp_video_file.f_id = rtn_video.id;
	rtn_video.files.push(tmp_video_file);
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function cut_all(content, prefix, suffix)
{
        global_offset = 0;
        var ret_array = [];
        while(global_offset < content.length)
        {
                var str = cutstr_ex(content, prefix, suffix);
                if(null == str)
                {
                        break;
                }
                ret_array.push(str);
        }
        global_offset = 0;
        return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
        var prefix_len = prefix.length;
        var p1 = content.indexOf(prefix, global_offset);
        if(-1 == p1)
        {
                return null;
        }
        p1 += prefix_len;
        var p2 = content.indexOf(suffix, p1);
        if(-1 == p2)
        {
                return null;
        }
        global_offset = p2 + suffix.length;
        return content.substring(p1, p2);
}

