
function vid_mate_get_video_id() {
	var vid_mate_url = document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}
	//http://www.hotmp3.co/songdownload.php?song=288/RAgini+MMS+2
	if(-1 == vid_mate_url.indexOf("hotmp3"))
	{
		return null;
	}
	var tmp_re = new RegExp("song=([0-9]+)/");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "hotmp3";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	var tmp_content = document.body.innerHTML;

	var videoTitle = "mp3";
	var videoUrl = "";
	rtn_video.title = "";

	var divArray = document.getElementsByTagName("div");
	for(var i=0; i<divArray.length; ++i)
	{
		var obj = divArray[i];
		if("songnamedownload" == obj.className)
		{
			videoTitle = obj.innerText;
			break;
		}
	}
	rtn_video.title = videoTitle;

	rtn_video.url = document.URL;

	var aArray = document.getElementsByTagName("a");
	for(var i=0; i<aArray.length; ++i)
	{
		var obj = aArray[i];
		var href = obj.getAttribute("href");
		if(-1 != href.indexOf(".mp3"))
		{
			videoUrl = href;
			break;
		}
	}

	if("" == videoUrl)
	{
		vid_mate_error_default('hotmp3 1');
		return null;
	}
	if(-1 == videoUrl.indexOf("http://"))
	{
		videoUrl = "http://www.hotmp3.co/" + videoUrl
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	tmp_video_file.format = "mp3";
	tmp_video_file.title = "mp3";
	tmp_video_file.f_id = rtn_video.id;
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');
	vid_mate_video_analytics(vid_mate_video_id);
}
